Package org.opensaml.xmlsec.encryption.impl

# Class PBKDF2ParamsImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.PBKDF2ParamsImpl

All Implemented Interfaces:
  `XMLObject`, `PBKDF2Params`

public class PBKDF2ParamsImpl extends AbstractXMLObject implements PBKDF2Params
Concrete implementation of `PBKDF2Params`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private IterationCount`
`iterationCount`
IterationCount child element.
`private KeyLength`
`keyLength`
KeyLength child element.
`private PRF`
`prf`
PRF child element.
`private Salt`
`salt`
Salt child element.

### Fields inherited from interface org.opensaml.xmlsec.encryption.PBKDF2Params

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PBKDF2ParamsImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`IterationCount`
`getIterationCount()`
Get the IterationCount child element.
`KeyLength`
`getKeyLength()`
Get the KeyLength child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`PRF`
`getPRF()`
Get the PRF child element.
`Salt`
`getSalt()`
Get the Salt child element.
`void`
`setIterationCount(IterationCount count)`
Set the IterationCount child element.
`void`
`setKeyLength(KeyLength length)`
Set the KeyLength child element.
`void`
`setPRF(PRF newPRF)`
Set the PRF child element.
`void`
`setSalt(Salt newSalt)`
Set the Salt child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### salt

@Nullable private Salt salt
Salt child element.

### iterationCount

@Nullable private IterationCount iterationCount
IterationCount child element.

### keyLength

@Nullable private KeyLength keyLength
KeyLength child element.

### prf

@Nullable private PRF prf
PRF child element.

## Constructor Details

### PBKDF2ParamsImpl

protected PBKDF2ParamsImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getSalt

@Nullable public Salt getSalt()
Get the Salt child element.

Specified by:
  `getSalt` in interface `PBKDF2Params`
Returns:
  the element

### setSalt

public void setSalt(@Nullable Salt newSalt)
Set the Salt child element.

Specified by:
  `setSalt` in interface `PBKDF2Params`
Parameters:
  `newSalt` - the salt

### getIterationCount

@Nullable public IterationCount getIterationCount()
Get the IterationCount child element.

Specified by:
  `getIterationCount` in interface `PBKDF2Params`
Returns:
  the element

### setIterationCount

public void setIterationCount(@Nullable IterationCount count)
Set the IterationCount child element.

Specified by:
  `setIterationCount` in interface `PBKDF2Params`
Parameters:
  `count` - the new iteration count

### getKeyLength

@Nullable public KeyLength getKeyLength()
Get the KeyLength child element.

Specified by:
  `getKeyLength` in interface `PBKDF2Params`
Returns:
  the element

### setKeyLength

public void setKeyLength(@Nullable KeyLength length)
Set the KeyLength child element.

Specified by:
  `setKeyLength` in interface `PBKDF2Params`
Parameters:
  `length` - the new key length

### getPRF

@Nullable public PRF getPRF()
Get the PRF child element.

Specified by:
  `getPRF` in interface `PBKDF2Params`
Returns:
  the element

### setPRF

public void setPRF(@Nullable PRF newPRF)
Set the PRF child element.

Specified by:
  `setPRF` in interface `PBKDF2Params`
Parameters:
  `newPRF` - the new PRF element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements